Вход | Регистрация

1С:Предприятие :: 1С:Предприятие 8 общая

Режим совместимости расширения

Режим совместимости расширения
Я
   isa2net
 
31.10.18 - 18:20
Здравствуйте!
Меняю после обновления меняю режим совместимости расширения на "не использовать", все равно выходит ошибка различия режимов. Платформа 1С:Предприятие 8.3 (8.3.12.1685). Есть идеи?
 
 
   Cyberhawk
 
1 - 31.10.18 - 18:23
Создай с нуля
   isa2net
 
2 - 31.10.18 - 18:24
рассматриваю пока как крайний вариант
   AlvlSpb
 
3 - 31.10.18 - 19:57
(0) Ну так в конфигурации значит не "Не использовать" а что-то конкретное. У расширения должно быть такое же как у конфигурации
   isa2net
 
4 - 31.10.18 - 22:48
Все один в один
   AlvlSpb
 
5 - 31.10.18 - 22:55
(4) Поставь режим совместимости тот же как у конфигурации, сохрани. Сохрани расширение в файл, удали расширение. Создай пустое новое, загрузи из файла, все должно заработать
   AvRm
 
6 - 31.10.18 - 23:35
(0) Если это УТ, то там в коде проверка вшита. Чтобы ее обойти нужно снять с поддержки модуль СтандартныеПодсистемыСервер.
Процедура ПередЗапускомПрограммы() нужно поменять ПоддерживаемаяВерсияПлатформы = "8.3.10" на "8.3.12".

Без этого не получалось применить расширение без режима совместимости.
   isa2net
 
7 - 31.10.18 - 23:50
(5) Да, помогло. Спасибо.

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Рекламное место пустует